Distribution:	CCux
Packager:	Christian Wasem <wase@ccux-linux.de>

Name:		gfxboot
Version:	4.1.99
Release:	5
License:	GNU/GPL v2+
Group:		System/Boot
Summary:	Graphical Boot Logo for GRUB, LILO and SYSLINUX

BuildRoot:	%{_tmppath}/%{name}-%{version}-build

Source:		gfxboot-4.1.99.tar.bz2

Source200:	ccux-theme.tar.bz2
Source201:	ccux-gfxboot
Source202:	ccux-gfxboot.tar.bz2

Patch0:		gfxboot-ccux-theme.patch
Patch1:		gfxboot-grub-stages.patch

Requires:	grub >= 0.97-7
Requires:	coreutils
Requires:	cpio
Requires:	perl-HTML-Parser
Requires:	mktemp

#Manual build dependencies
BuildRequires:	fribidi
BuildRequires:	libxslt
BuildRequires:	nasm
BuildRequires:	perl-HTML-Parser
BuildRequires:	xmlto

#Automatically resolved build dependencies
BuildRequires: freetype-devel
BuildRequires: glibc-devel
BuildRequires: perl
BuildRequires: perl-HTML-Parser

BuildArch:	i686

%description
Tools to configure your bootloader graphics.

%package	devel
Summary:	Tools for creating a graphical boot logo
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	perl-HTML-Parser
# Requirements for testing bootscreens
Requires:	dosfstools >= 3.0.1
Requires:	mtools
Requires:	master-boot-code
Requires:	qemu

%description	devel
Here you find the necessary programs to create your own graphical boot
logo. The logo can be used with grub, lilo or syslinux.

%package	ccux-theme
Summary:	gfxboot ccux theme
Group:		%{group}
PreReq:		%{name} = %{version}-%{release}

%description	ccux-theme
CCux theme for gfxboot (bootloader graphics).

%post
# removing old splashimage
sed -i"" 's#^splashimage=#gfxmenu #' /boot/grub/menu.lst
sed -i"" 's#/grub/bootsplash.xpm.gz#/message#' /boot/grub/menu.lst

%post ccux-theme
# updating / generating /boot/message
/usr/sbin/gfxboot --update-theme ccux

%prep
%setup
%setup -T -D -a 200
%setup -T -D -a 202
%patch0 -p1 -b .ccux-theme
%patch1 -p1 -b .stages

%build
rm -rf $RPM_BUILD_ROOT

# install sources
make installsrc DESTDIR=$RPM_BUILD_ROOT

make
#make doc
make themes

%install
make install DESTDIR=$RPM_BUILD_ROOT

# install manpage
mkdir -p $RPM_BUILD_ROOT%_mandir/man8
cp doc/*.8 $RPM_BUILD_ROOT%_mandir/man8

# install ccux-gfxboot helper script
cp %{SOURCE201} $RPM_BUILD_ROOT%_sbindir

# creating ghost boot message file
mkdir $RPM_BUILD_ROOT/boot
touch $RPM_BUILD_ROOT/boot/message

# installing ccux-theme images
mkdir -p $RPM_BUILD_ROOT%_datadir/%{name}/images
cp -R ccux-gfxboot/* $RPM_BUILD_ROOT%_datadir/%{name}/images/

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%_sbindir/%{name}
%_sbindir/ccux-%{name}
%_mandir/man8/%{name}.8.*

%files devel
%defattr(-,root,root)
%_sbindir/%{name}-compile
%_sbindir/%{name}-font
%_datadir/%{name}/bin
%_datadir/%{name}/themes/ccux

%files ccux-theme
%defattr(-,root,root)
%_sysconfdir/bootsplash/themes/ccux
%ghost /boot/message
%_datadir/%{name}/images

%changelog
* Tue Feb 10 2009 Christian Metzen <metzench@ccux-linux.de> 4.1.99-5
- some tuning in ccux-gfxboot, remove html docs
* Mon Feb 09 2009 Christian Wasem <wasem@ccux-linux.de> 4.1.99-4
- adding ccux-gfxboot helper script, removed docbook patch
* Mon Feb 02 2009 Christian Wasem <wasem@ccux-linux.de> 4.1.99-3
- add docbook.patch
* Fri Jan 30 2009 Christian Wasem <wasem@ccux-linux.de> 4.1.99-2
- add ccux-theme.patch
* Tue Jan 27 2009 Christian Wasem <wasem@ccux-linux.de> 4.1.99-1
- Initial release
